﻿/* CSS樣式 */

/* panel 外框有顏色 */
.cssPanel, .cssPanelSearch, .cssPanelSearchBar {
    font-family: Microsoft JhengHei;
    font-size: 9pt;
    font-weight: bold;
    background-color: #FAFAFA;
    border-color: #336699;
    border-style: initial;
    border-width: 2px;
}

.cssPanel {
    color: #616161;
}

.cssPanelSearch {
    color: #000000;
}

.cssPanelSearchBar {
    background-color: #EEEEEE; /* 灰 */
}

.title_bold {
    font-size: 16pt;
    color: #E47726;
    font-weight: bold;
}

hr {
    height: 1px;
    border: none;
    border-top: 2px #CCCCCC dashed;
}


.ToolTipInfo {
    background-color: #E8EFF3;
    border-left-color: #6BBFDB;
    border-left-style: solid;
    border-left-width: 6px;
    padding-left: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
    font-size: 18px;
    font-weight: bold;
    text-shadow: 1px 1px 1px #fff;
}


/* Table 樣式 */
table.ListViewStyle, table.InputCreatePage, table.lvSearch, .InputStyle, .DDLStyle {
    margin: 0 auto;
    border-collapse: separate;
    border-spacing: 0px 15px;
    font-size: 12px;
}

    table.ListViewStyle th, table.InputCreatePage th, table.lvSearch th, .InputStyle th, .DDLStyle th {
        vertical-align: middle;
        text-align: center;
        overflow: visible;
        position: relative;
        font-weight: normal;
        font-size: 15px;
    }

table.DDLStyle th:after {
    left: 100%;
    top: 23px; /* 50% IE 8、Firefox、Chrome正常，只有IE 11... */
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    border-color: rgba(136, 183, 213, 0);
    border-left-color: #3671B9;
    border-width: 10px;
    margin-top: -10px;
}

table.ListViewStyle {
    color: black;
}

    table.ListViewStyle tr:nth-child(even) {
        background-color: #f8f8f8;
    }

    table.ListViewStyle th {
        width: 100px;
        color: #fff;
        background: #3671B9;
    }

    table.ListViewStyle td {
        width: 360px;
        padding: 10px;
        padding-left: 20px;
        text-align: center;
    }

/* Table 註冊 */
table.InputCreatePage {
    width: 500px;
}

    table.InputCreatePage td {
        padding: 10px;
    }

    table.InputCreatePage th {
        width: 100px;
        color: #393949;
    }

    table.InputCreatePage td {
        background: #f8f8f8;
        padding-left: 20px;
    }

/* Table 查詢:紫 */
table.lvSearch {
    color: black;
}

    table.lvSearch th {
        background: #6C4F73;
        color: #fff;
    }

    table.lvSearch td {
        text-align: center;
    }

    table.lvSearch tr:hover td {
        /*滑鼠游標*/
        color: #FFF;
        background-color: #FFAB52;
    }

/* Table Input樣式 */
.InputStyle {
    width: 500px;
    color: #3671B9;
}

    .InputStyle td {
        padding: 10px;
    }

    .InputStyle th, .DDLStyle th {
        color: #fff;
        background: #3671B9;
    }

    .InputStyle td {
        background: #f8f8f8;
        padding-left: 20px;
    }

.DDLStyle {
    font-size: 18px;
    background-color: #FAFAFA;
}

    .DDLStyle td {
        background: #f8f8f8;
        padding: 10px;
        padding-left: 20px;
    }

/* Table 問卷抬頭 */
table.InputThStyle th {
    font-family: Microsoft JhengHei;
    background-color: #78BC79;
    color: #FBFFFF;
}


.iTxt {
    font-family: Tahoma;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -o-box-sizing: border-box;
    -ms-box-sizing: border-box;
    box-sizing: border-box;
    background-color: #eff5f8;
    border: 1px solid #C2D0D7;
    padding-left: 4px;
    color: #0d5475;
    /*width: 100%;
    height: 50px;*/
    /*font-size: 20px;*/
    /*margin-bottom: 5px;*/
}

    .iTxt:focus {
        border-color: #66AFE9; /* 天空 */
        border-color: #FCA7A7; /* 粉紅 */
        outline: 0;
        -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
        box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
    }



#gotop /* 回頂部 for jquery */ {
    display: none;
    position: fixed;
    right: 20px;
    bottom: 20px;
    padding: 10px 15px;
    font-size: 20px;
    background: #777;
    color: white;
    cursor: pointer;
}

fieldset {
    border: 4px solid #1F497D;
    background: #FAFAFA;
    border-radius: 5px;
    padding: 15px;
}

fieldset legend {
    background: #1F497D;
    color: #fff;
    padding: 5px 10px ;
    font-size: 12px;
    border-radius: 5px;
    box-shadow: 0 0 0 5px #ddd;
    margin-left: 20px;
}
